214 countries and territories189 of 193 UN membersmonthly to 2026-09back to 1926
Documentation / Context / 52 of 75

Holiday join

GET/v1/joins/holidays

A series with the number of public holidays and weekend days in each period beside it.

Developer plan and upKey requiredJSON or CSVCached until the next release
Parameters
NameTypeDescription
idrequiredstring
path
Series id from /v1/series
e.g. jp.arrivals.total.m
fromoptionalperiod
query
First period to return
e.g. 2025-01
tooptionalperiod
query
Last period to return
e.g. 2026-08
Request
# Any series with holiday counts per period
curl "https://api.tourismapi.com/v1/joins/holidays?id=jp.arrivals.total.m&from=2025-01&to=2026-08" \
  -H "X-API-Key: $TOURISM_API_KEY"
Ready
Example response
{
    "meta": {
        "request_id": "req_8192c35bc9",
        "data_as_of": "2026-10-20T04:48:19Z",
        "count": 20,
        "series": "sr_wxq9yq5v",
        "country": "JP"
    },
    "data": [
        {
            "period": "2025-01",
            "value": 3781629,
            "holidays": 2,
            "holiday_list": [
                {
                    "date": "2025-01-01",
                    "name": "New Year's Day"
                },
                {
                    "date": "2025-01-13",
                    "name": "Coming of Age Day"
                }
            ]
        },
        {
            "period": "2025-02",
            "value": 3258491,
            "holidays": 3,
            "holiday_list": [
                {
                    "date": "2025-02-11",
                    "name": "Foundation Day"
                },
                {
                    "date": "2025-02-23",
                    "name": "Emperor's Birthday"
                },
                {
                    "date": "2025-02-24",
                    "name": "Substitute Holiday"
                }
            ]
        },
        {
            "period": "2025-03",
            "value": 3497755,
            "holidays": 1,
            "holiday_list": [
                {
                    "date": "2025-03-20",
                    "name": "Vernal Equinox Day"
                }
            ]
        }
    ]
}
Response fields
FieldTypeExample
periodstring2025-01
valuenumber3781629
holidaysnumber2
holiday_listarray2 items